use serde::{Serialize, Deserialize};
use wasm_bindgen::prelude::*;

#[derive(Clone, Debug, Serialize, Deserialize)]
pub enum Action {
    Noop,
}

#[derive(Clone, Debug, Serialize, Deserialize)]
pub struct Instruction {
    pub next: usize,
    pub action: Action
}

impl Instruction {
    pub fn noop() -> Instruction {
        Instruction {
            next: 0,
            action: Action::Noop
        }
    }
}

#[wasm_bindgen(typescript_custom_section)]
const TS_INSTRUCTION: &'static str = r#"
export interface Instruction {
    next: number;
    action: "Noop";
}
"#;
